const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "ACTIVE",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
Workflow Runs
Resume Workflow Run
Resume a paused workflow run
POST
/
api
/
v1
/
workflow-runs
/
:workflowRunId
/
resume
const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "ACTIVE",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
Resume a paused workflow run. The agent continues conducting the workflow.
If the workflow has nothing left to do, the workflow run completes on resume and is returned with
This endpoint takes no body.
status: "COMPLETED".
Resuming a workflow run that is already ACTIVE succeeds and changes nothing.
Authentication
Requires thex-api-key header with a valid workspace API key.
Path Parameters
string
required
The workflow run to resume.
Response
boolean
Whether the request succeeded.
object
The workflow run in its new state. See
Get Workflow Run for the
full shape.
Errors
error
No workflow run with this id exists in your workspace.
error
The workflow run is already
COMPLETED or CANCELLED. Terminal workflow runs cannot change
status.const options = {
method: "POST",
headers: { "x-api-key": "<your-api-key>" },
};
fetch(
"https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume",
options,
)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
url = "https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume"
headers = {"x-api-key": "<your-api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.json())
curl --request POST \
--url https://api-v2.getomni.ai/api/v1/workflow-runs/5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9/resume \
--header 'x-api-key: <your-api-key>'
{
"success": true,
"workflowRun": {
"id": "5d8c1b2a-3e4f-5061-7283-94a5b6c7d8e9",
"leadId": "b1f0a790-201b-47e9-84ed-cc7eed1270c5",
"agentId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"workflowId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "ACTIVE",
"createdAt": "2026-09-10T17:42:03.000Z",
"completedAt": null,
"cancelledAt": null
}
}
